<?php
include "../config.php";
include "classes.php";

$condX = $_REQUEST['condX'];
$conX = $_REQUEST['conX'];
$tblX = $_REQUEST['tblX'];
$spcX = "CEM_C1=2";
$condensedcondX = $_REQUEST['condensedcondX'];
$trendStatus = $_REQUEST['trendStatus'];
$trendcondX = $_REQUEST['trendcondX'];

if($conX==1)
{    
    $condX="1=1";   
}

if($trendStatus=='false')
{
    $trendsValue = [];
    
    $recordCounter1 = new RecordCounter1($conn,$condX,$tblX,$spcX,$condensedcondX,$trendStatus,$trendsValue);
    $recordCounter2 = new RecordCounter2($conn,$condX,$tblX,$spcX,$condensedcondX,$trendStatus,$trendsValue);
    $recordCounter3 = new RecordCounter3($conn,$condX,$tblX,$spcX,$condensedcondX,$trendStatus,$trendsValue);
    $recordCounter4 = new RecordCounter4($conn,$condX,$tblX,$spcX,$trendStatus,$trendsValue);
    
    $data['CEM_C0'] = $recordCounter4->countRecords4('CEM_C0', range(1,2));
    $data['CEM_C1'] = $recordCounter1->countRecords1('CEM_C1', range(1,2));
    $data['CEM_C5'] = $recordCounter1->countRecords1('CEM_C5', array(1,2,3,4,5,98));
    $data['CEM_C8'] = $recordCounter1->countRecords1('CEM_C8', array(1,2,3,4,5,99));
    $data['CEM_C9'] = $recordCounter1->countRecords1('CEM_C9', array(1,2,3,4,5,6,7,59));
    $data['CEM_C10'] = $recordCounter1->countRecords1('CEM_C10', array(1,2,3,4,98));
    $data['CEM_C11'] = $recordCounter2->countRecords2('CEM_C11', range(1,7));
    $data['CEM_C12'] = $recordCounter1->countRecords1('CEM_C12', array(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,98));
    $data['CEM_C15'] = $recordCounter1->countRecords1('CEM_C15', array(1,2,3));
    $data['CEM_C16'] = $recordCounter3->countRecords3('CEM_C16', range(1,9));
    $data['CEM_C17'] = $recordCounter1->countRecords1('CEM_C17', range(1,3));
    $data['CEM_C18'] = $recordCounter1->countRecords1('CEM_C18', array(1,2,3,4,98,99));
    $data['CEM_C19'] = $recordCounter2->countRecords2('CEM_C19', array(1,2,3,4,5,6,7,8,9,10,98,99));
    $data['CEM_C20'] = $recordCounter1->countRecords1('CEM_C20', array(1,2,3));

    $data['S13_4'] = $recordCounter1->countRecords1('S13_4', array(1,2,3,4,5,6,7));
}

else{
    
    
    $trendsValue = [1,2,3,4,90,91];
    
    $recordCounter1 = new RecordCounter1($conn,$condX,$tblX,$spcX,$condensedcondX,$trendStatus,$trendsValue);
    $recordCounter2 = new RecordCounter2($conn,$condX,$tblX,$spcX,$condensedcondX,$trendStatus,$trendsValue);
    $recordCounter3 = new RecordCounter3($conn,$condX,$tblX,$spcX,$condensedcondX,$trendStatus,$trendsValue);
    $recordCounter4 = new RecordCounter4($conn,$condX,$tblX,$spcX,$trendStatus,$trendsValue);
    
    $data['CEM_C0'] = $recordCounter4->countRecords4('CEM_C0', range(1,2));
    $data['CEM_C1'] = $recordCounter1->countRecords1('CEM_C1', range(1,2));
    $data['CEM_C5'] = $recordCounter1->countRecords1('CEM_C5', array(1,2,3,4,5,98));
    $data['CEM_C8'] = $recordCounter1->countRecords1('CEM_C8', array(1,2,3,4,5,99));
    $data['CEM_C9'] = $recordCounter1->countRecords1('CEM_C9', array(1,2,3,4,5,6,7,59));
    $data['CEM_C10'] = $recordCounter1->countRecords1('CEM_C10', array(1,2,3,4,98));
    $data['CEM_C11'] = $recordCounter2->countRecords2('CEM_C11', range(1,7));
    $data['CEM_C12'] = $recordCounter1->countRecords1('CEM_C12', array(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,98));
    $data['CEM_C15'] = $recordCounter1->countRecords1('CEM_C15', array(1,2,3));
    $data['CEM_C16'] = $recordCounter3->countRecords3('CEM_C16', range(1,9));
    $data['CEM_C17'] = $recordCounter1->countRecords1('CEM_C17', range(1,3));
    $data['CEM_C18'] = $recordCounter1->countRecords1('CEM_C18', array(1,2,3,4,98,99));
    $data['CEM_C19'] = $recordCounter2->countRecords2('CEM_C19', array(1,2,3,4,5,6,7,8,9,10,98,99));
    $data['CEM_C20'] = $recordCounter1->countRecords1('CEM_C20', array(1,2,3));

    $data['S13_4'] = $recordCounter1->countRecords1('S13_4', array(1,2,3,4,5,6,7));

    
}

echo json_encode($data);

?>